ipe::AttributeMap Class Reference

`#include <ipeattributes.h>`

## Public Member Functions

int | count () const noexcept
Attribute | map (Kind kind, Attribute sym) const
void | saveAsXml (Stream &stream) const
void | add (const AttributeMapping &map)

## Public Attributes

std::vector< AttributeMapping > | iMap

## Member Function Documentation

## count()

int ipe::AttributeMap::count | ( |  | ) | const

inline noexcept

Referenced by ipe::Page::saveAsXml().

## map()

Attribute AttributeMap::map | ( | Kind | kind,
|  | Attribute | sym
| ) |  | const

Map the given symbolic attribute sym. Returns sym if there is no mapping.

Referenced by ipe::Painter::doDrawSymbol(), and ipe::Painter::lookup().

## saveAsXml()

void AttributeMap::saveAsXml | ( | Stream & | stream | ) | const

Save map in XML format.

References ipe::AttributeMapping::from, ipe::AttributeMapping::kind, ipe::kind_names, ipe::size(), ipe::Attribute::string(), and ipe::AttributeMapping::to.

Referenced by ipe::Page::saveAsXml().

## add()

void AttributeMap::add | ( | const AttributeMapping & | map | ) |

Add a mapping.

References ipe::AllAttributes::AllAttributes(), ipe::Attribute::ARROW_NORMAL(), ipe::Attribute::BLACK(), ipe::EAlignBaseline, ipe::EAlignLeft, ipe::EBSpline, ipe::EDefaultCap, ipe::EDefaultJoin, ipe::EDefaultRule, ipe::ENoPin, ipe::EStrokedOnly, ipe::ETransformationsAffine, ipe::Attribute::NORMAL(), and ipe::Attribute::OPAQUE().

Referenced by ipe::ImlParser::parseView().

## Member Data Documentation

## iMap

std::vector<AttributeMapping> ipe::AttributeMap::iMap

The documentation for this class was generated from the following files:

- ipeattributes.h
- ipeattributes.cpp